# Preview
![Preview](https://cdn.discordapp.com/attachments/796374901380349993/1075376350556327998/Spearman.png)

# Skills

| Icon | Name | Description |
| ------------- | ----------- | ------------------------------------ |
| ![][passive] | Passive: Battle Scars | Hitting enemies with abilities inflicts them with the Battle Scars debuff, which slows enemies and grants a 5% damage buff per stack to Spearman. |
| ![][primary] | Primary: Battle Stance | Ranged attack against out of range enemies and melee against enemies nearby. Ranged: throw spears for 200% damage. Melee: Thrust the spear forward for 350% damage. |
| ![][secondary] | Secondary: Warriors Spear | Charge up an empowered piercing spear, increasing damage and distance, Deals 300-2000% damage and applies a debuff (Freeze,Fire, Electric, Bleed, or Poison). |
| ![][utility] | Utility: Vaulting Kick | Slide on the ground, knocking enemies airborne. If an enemey is hit, recast to kick upward in the air for 200% damage.|
| ![][special] | Special: Annihilation | Jump high into the air and select a target terrain bleow to slam onto for 1000% damage, releasing a shockwave of energy on impact. |

[passive]: https://media.discordapp.net/attachments/985537283811840031/1072711663473660026/BattleScars.PNG
[primary]: https://cdn.discordapp.com/attachments/985537283811840031/1072711664287371364/SpearAttackPrimary.PNG
[secondary]: https://cdn.discordapp.com/attachments/985537283811840031/1072711664878751794/M2_ability_icon.png
[utility]: https://cdn.discordapp.com/attachments/985537283811840031/1072711664018919445/UtilityKick.PNG
[special]: https://cdn.discordapp.com/attachments/985537283811840031/1072711663201026058/SpecialAnihilaition.png

# Installation
R2modman is recommended. 

Manual:

1 - Download and install BepInExPack and R2API packages

2 - Extract the "Spearman".dll to your plugins folder

3 - Launch and enjoy!

# Credits
SaucySquash -Project Head, Concept artist, Modeling, Animation, Icons, and lore.

DotFlare -Animation, Model Edits, General guidence.

Mr.Bones - Primary, Passive, utility and special icons.

Dragonyck - Coding, Model Edits, and general guidence.

Violet - Sound guides

Rob - Character templates

KingEnderBrine - Item Display tool

Bog - Being a huge help with guidence and advice

Everyone involved with the cores and api's that made modding possible.

All the Mod testers with bug reports and feedback!

# Changelog
`1.0.5` 
- New running animation
- New Melee Animation
- Added Pitch melee animations
- Adjusted Tracking on 'Battle Stance' Range varient
- Lowered base health by 5
- Lowered base damage to 10
- Lowered Battle stance damage for ranged and melee varients to 175% and 300% respectivley 
- Raised Warriors stance damage to 400% damage
- Improved Item Displays for some items
- Increased M2 hitbox sizes

`1.0.4` 
- Updated Survivor Unlock Description to make it easier to understand  
- Slightly increased Spear projectile size
- Increased 'Battle Stace' Ranged targeting strength  
- Fixed strafing animation not playing during M1 Melee attacks
- Added pitch animation

`1.0.3` 
- Fixed and enabled Survivor Unlock 
- Updated survivor unlock description
- Fixed Annihilation skill description 
- Lowered 'Battle Stace' melee damage value from 350% to 325%
- Lowered 'Warrior Stance' damage value from 500% to 350%
- Lowered base health from 90 to 85
- Health regen slightly increased
- Lowered base attack speed from 1 to .85
- Adjusted all melee animation speeds
- Adjusted 'Battle Stance' ranged targeting strength 
- Increased 'Battle Stance' ranged varient velocity
- Increased 'Warriors Spear' base velocity
- Increased spear projectile size

`1.0.2` 
- Disabled Unlock achivement allowing players to play until fixed
- Changed 'Battle Stance' Ranged value 100%-200%
- Changed 'Battle Stance' Melee value 150%-350% 
- Changed 'Warrior Stance' Damage value 150%-500%
- Updated Skill descriptions to be up to date

`1.0.1` 
- Thunderstore fix

`1.0.0` 
- Release
